kr.co.hanwha.hifive.enums

## Enum LandingType

- java.lang.Object
- - java.lang.Enum<LandingType>
  - - kr.co.hanwha.hifive.enums.LandingType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<LandingType>

      public enum LandingType
      extends java.lang.Enum<LandingType>

  Notification 상세 이동 경로 정의

  Created by sanghoonkwon on 2018. 2. 12..

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALARM_LIST` 알림 목록
    `MAIN` Default(설정 되어 있는 기본 탭)
    `MAIN_DASHBOARD` MAIN - DASHBOARD
    `MAIN_DASHBOARD_UNIT` MAIN - DASHBOARD - UNIT
    `MAIN_SETTING` MAIN - SETTING
    `MAIN_SETTING_NOTICE` MAIN - SETTING - 공지사항(TBD)
    `MAIN_SETTING_TBD` MAIN - SETTING - 보안 확인 페이지(TBD)
    `MAIN_TODO` MAIN - T0DO
    `MAIN_TODO_ASSIGNED` MAIN - T0DO - 내 업무
    `MAIN_TODO_REQUEST` MAIN - T0DO - 요청함
    `MAIN_UNIT` MAIN - UNIT
    `TASK_DETAIL` TASK 상세
    `TASK_DETAIL_COMMENT` TASK 상세 - 댓글
    `WEBVIEW` 웹뷰

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `mType`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `static LandingType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static LandingType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MAIN

          public static final LandingType MAIN

      Default(설정 되어 있는 기본 탭)

    - #### MAIN_TODO

          public static final LandingType MAIN_TODO

      MAIN - T0DO

    - #### MAIN_TODO_ASSIGNED

          public static final LandingType MAIN_TODO_ASSIGNED

      MAIN - T0DO - 내 업무

    - #### MAIN_TODO_REQUEST

          public static final LandingType MAIN_TODO_REQUEST

      MAIN - T0DO - 요청함

    - #### MAIN_UNIT

          public static final LandingType MAIN_UNIT

      MAIN - UNIT

    - #### MAIN_DASHBOARD

          public static final LandingType MAIN_DASHBOARD

      MAIN - DASHBOARD

    - #### MAIN_DASHBOARD_UNIT

          public static final LandingType MAIN_DASHBOARD_UNIT

      MAIN - DASHBOARD - UNIT

    - #### MAIN_SETTING

          public static final LandingType MAIN_SETTING

      MAIN - SETTING

    - #### MAIN_SETTING_TBD

          public static final LandingType MAIN_SETTING_TBD

      MAIN - SETTING - 보안 확인 페이지(TBD)

    - #### MAIN_SETTING_NOTICE

          public static final LandingType MAIN_SETTING_NOTICE

      MAIN - SETTING - 공지사항(TBD)

    - #### TASK_DETAIL

          public static final LandingType TASK_DETAIL

      TASK 상세

    - #### TASK_DETAIL_COMMENT

          public static final LandingType TASK_DETAIL_COMMENT

      TASK 상세 - 댓글

    - #### ALARM_LIST

          public static final LandingType ALARM_LIST

      알림 목록

    - #### WEBVIEW

          public static final LandingType WEBVIEW

      웹뷰

  - ### Field Detail

    - #### mType

          private int mType

  - ### Method Detail

    - #### values

          public static LandingType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LandingType c : LandingType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LandingType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()